---

hetzner_server_type: cx21

connect_client_admin_username: "{{ management_admin_username }}"
connect_client_admin_password: "{{ management_admin_password }}"
connect_workflow_env: "baseUrl:{{ connect_base_url }};stage:{{ stage }};smardigoUserToken:{{ smardigo_auth_token_value }}"
connect_oidc_client_secret: "{{ management_oidc_client_secret }}"

connect_config_delete_scope_enabled: true
connect_datasource_action_enabled: true
connect_element_template_enabled: true
connect_external_task_script_worker_enabled: true
connect_search_elastic_enabled: false
connect_swagger_enabled: true
connect_workflow_heatmap_enabled: true

tenant_id: "{{ management_oidc_realm }}"
cluster_size: "1"
cluster_name: "{{ management_oidc_client_id }}"
current_realm_name: "management"
current_realm_display_name: "Stage Management"

postgres_acls:
  - name: "{{ connect_postgres_database }}"
    password: "{{ connect_postgres_password }}"
    trusted_cidr_entry: "{{ shared_service_network }}"

current_realm_clients: [
  {
    name: '{{ management_oidc_client_id }}',
    clientId: "{{ management_oidc_client_id }}",
    admin_url: '',
    root_url: '',
    redirect_uris: [
        "{{ http_s }}://{{ connect_base_url }}/*"
    ],
    secret: '{{ management_oidc_client_secret }}',
    web_origins: [
      "{{ http_s }}://{{ connect_base_url }}"
    ],
  }
]

current_realm_users:
  - username: "{{ management_admin_username }}"
    password: "{{ management_admin_password }}"
    email: "{{ connect_admin_email }}"
    requiredActions: []

current_realm_admin_users:
  - username: "{{ management_realm_admin_username }}"
    password: "{{ management_realm_admin_password }}"
    email: "{{ connect_admin_email }}"
    requiredActions: []
